Course related methods
Returns a specific course
https://api.itjobs.pt/course/get.json
| Parameter | Required | Description |
|---|---|---|
| api_key | Yes | Your unique identifier. You must request your API KEY. (string) |
| id | Yes | The requested course id (integer) |
$ curl --data "api_key=xxx&id=514" https://api.itjobs.pt/course/get.json
{
"id":514,
"title":"XXI SINFO - Semana Inform\u00e1tica do IST",
"description":"...",
"dateStart":"2014-02-24",
"dateEnd":"2014-02-28",
"locations":[
{
"id":"14",
"name":"Lisboa"
}
],
"place":"Pavilh\u00e3o de Civil do Campus da Alameda do Instituto Superior T\u00e9cnico",
"url":"http:\/\/www.sinfo.org",
"isPresencial":true,
"isCertified":false,
"isFunded":true,
"hours":12,
"price":1500,
"updatedAt":"2014-01-20 22:55:21",
"slug":"xxi-sinfo-semana-informatica-do-ist"
}
Returns a list of courses
https://api.itjobs.pt/course/list.json
| Parameter | Required | Description |
|---|---|---|
| api_key | Yes | Your unique identifier. You must request your API KEY. (string) |
| limit | No | Number of results (integer) |
| page | No | Page number (integer) |
| company | No | Filter results by company (comma separated integers) |
$ curl --data "api_key=xxx&limit=2" https://api.itjobs.pt/course/list.json
{
"total":12,
"page":1,
"limit":2,
"results":[
{
"id":659,
"title":"TECHDAYS Aveiro",
"description":"...",
"dateStart":"2015-09-17",
"dateEnd":"2015-09-18",
"locations":[
{
"id":"1",
"name":"Aveiro"
}
],
"place":"Aveiro EXPO - Parque de Exposi\u00e7\u00f5es de Aveiro",
"url":"http:\/\/www.techdays.pt",
"isPresencial":false,
"isCertified":true,
"isFunded":false,
"hours":12,
"price":1500,
"updatedAt":"2015-05-31 16:31:39",
"slug":"techdays-aveiro"
},
{
"id":673,
"title":"ICRE 2015 - International Conference on Robot Ethics",
"description":"...",
"dateStart":"2015-10-23",
"dateEnd":"2015-10-24",
"locations":[
{
"id":"14",
"name":"Lisboa"
}
],
"place":"Pavilh\u00e3o do Conhecimento\/Ci\u00eancia Viva",
"url":"http:\/\/www.icre2015.com",
"isPresencial":true,
"isCertified":true,
"isFunded":false,
"hours":8,
"price":0,
"updatedAt":"2015-07-01 11:35:50",
"slug":"icre-2015-international-conference-on-robot-ethics"
}
]
}
Returns a list of courses based on a query and filters
https://api.itjobs.pt/course/search.json
| Parameter | Required | Description |
|---|---|---|
| api_key | Yes | Your unique identifier. You must request your API KEY. (string) |
| q | Yes | Search query (comma separated strings) |
| limit | No | Number of results (integer) |
| page | No | Page numner (integer) |
| company | No | Filter results by company (comma separated integers) |
$ curl --data "api_key=xxx&search=aveiro&limit=2" https://api.itjobs.pt/course/search.json
{
"total":1,
"page":1,
"limit":12,
"query":"aveiro",
"results":[
{
"id":659,
"title":"TECHDAYS Aveiro",
"description":"...",
"dateStart":"2015-09-17",
"dateEnd":"2015-09-18",
"locations":[
{
"id":"1",
"name":"Aveiro"
}
],
"place":"Aveiro EXPO - Parque de Exposi\u00e7\u00f5es de Aveiro",
"url":"http:\/\/www.techdays.pt",
"isPresencial":false,
"isCertified":false,
"isFunded":true,
"hours":12,
"price":500,
"updatedAt":"2015-05-31 16:31:39",
"slug":"techdays-aveiro"
}
]
}
Information regarding Course type and location
| Value | Type |
|---|---|
| 1 | Laboral |
| 3 | Laboral / Pós-Laboral |
| 2 | Pós-Laboral |
| Value | Location |
|---|---|
| 2 | Açores |
| 1 | Aveiro |
| 3 | Beja |
| 4 | Braga |
| 5 | Bragança |
| 6 | Castelo Branco |
| 8 | Coimbra |
| 10 | Évora |
| 9 | Faro |
| 11 | Guarda |
| 29 | International |
| 13 | Leiria |
| 14 | Lisboa |
| 15 | Madeira |
| 12 | Portalegre |
| 18 | Porto |
| 20 | Santarém |
| 17 | Setúbal |
| 22 | Viana do Castelo |
| 21 | Vila Real |
| 16 | Viseu |